/*---------------------------------------------------------------------------------------------
 * USB Gecko Development Kit - http://www.usbgecko.com
 * --------------------------------------------------------------------------------------------
 * 
 *
 * flash.h - functions for the USB Gecko flash (www.usbgecko.com).
 *
 * Copyright (c) 2008 - Nuke - <wiinuke@gmail.com>
 * 
 *---------------------------------------------------------------------------------------------*/

#ifndef __FLASH_H__
#define __FLASH_H__

// Function prototypes
void flash_softwareentry();
void flash_softwareexit();
void flash_programbyte(unsigned long flashaddress, unsigned char flashdata);
unsigned char flash_readcommand (unsigned int flashaddress);
void flash_chiperase();
void flash_writecommand (unsigned int flashaddress, unsigned char flashdata);
void flash_togglewait();
int flash_verify();

#endif // __USB_H__
